/************************************************* *************************************************
* OPEN-SMART demo code 2 for FSR sensor module (50N / 5KG)
* The video on the google drive use this demo code.
https://drive.google.com/drive/folders/0B6uNNXJ2z4Cxc1Ewdl94T2lXXzQ?usp=sharing

* You can learn to know the pressure on the sensitive area. 
* 8-bit LED Bar module: dx.com/438317
*
*Store: https://open-smart.aliexpress.com/store/1199788
           dx.com
************************************************** ************************************************** *****/

#define S0 3 //S0 of the LED Bar module connect to D3 of Arduino
#define S1 4 
#define S2 5
#define S3 6
#define S4 7
#define S5 8
#define S6 9
#define S7 10
const int leds[] = {S0, S1, S2, S3, S4, S5, S6, S7};

#define FSR_PIN A0 //SIG of FSR sensor module connect to A0 of Arduino

#define MAX_SENSORVALUE 150
#define MAX_LIGHT_LEVEL 8
// the setup routine runs once when you press reset:
void setup() {

  for(uint8_t i=0;i < 8; i++){
   pinMode(leds[i], OUTPUT);
 }
 for(uint8_t i=0;i < 8; i++)
  {
    ledOff(i);
  }
}

// the loop routine runs over and over again forever:
void loop() {  
  int sensorValue = analogRead(FSR_PIN); //the greater the pressure in the sensing area, the higher the output voltage,
                                          //and larger the sensorValue.
  int level = map(sensorValue, 0, MAX_SENSORVALUE, 0, MAX_LIGHT_LEVEL); //convert the sensor value to the light level
  levelOn(level);
}

//------------------------------------
void ledOn(uint8_t Sx)
{
  digitalWrite(leds[Sx], LOW);
}
void ledOff(uint8_t Sx)
{
  digitalWrite(leds[Sx], HIGH);
}

void levelOn(uint8_t level)
{
  if(level > 8) level = 8;
  for(uint8_t i = 0; i < level;i ++)
  {
    ledOn(i);
  }
  for(uint8_t i = level; i < 8;i ++)
  {
    ledOff(i);
  }
}
//-------------------------------------------
